Name: task-cinnamon
Version: 3.2
Release: %mkrel 2
Epoch:   1
Summary: Metapackage for Cinnamon desktop environment
Group: Graphical desktop/Cinnamon
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal >= %{version}
Recommends: nemo-pastebin >= %{version}
Recommends: nemo-rabbitvcs >= %{version}
Recommends: nemo-fileroller >= %{version}
Recommends: nemo-preview >= %{version}
Recommends: nemo-python >= %{version}
Recommends: nemo-terminal >= %{version}
Recommends: task-xapps
Recommends: cinnamon-screensaver-unsupported
Recommends: nemo-compare
Recommends: nemo-emblems
Recommends: nemo-image-converter
Recommends: nitroshare-nemo

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running Cinnamon.

%package devel
Summary: Development package needed for Cinnamon desktop 
Requires: task-cinnamon >= %{version}
Requires: nemo-python-devel >= %{version}
Requires: cinnamon-control-center-devel >= %{version}
Requires: cinnamon-settings-daemon-devel >= %{version}
Requires: pkgconfig(cinnamon-desktop) >= %{version}
Requires: pkgconfig(libnemo-extension) >= %{version}
Requires: muffin-devel >= %{version}

%package minimal
Summary: Minimal dependencies needed for Cinnamon desktop 
Group: Graphical desktop/Cinnamon
Requires: cinnamon >= %{version}
Requires: cinnamon-desktop >= %{version}
Requires: cinnamon-session >= %{version}
Requires: cinnamon-control-center >= %{version}
Requires: cinnamon-screensaver >= %{version}
Requires: cinnamon-settings-daemon >= %{version}
Requires: cinnamon-translations >= %{version}
Requires: muffin >= %{version}
Requires: nemo >= %{version}
Recommends: lightdm
Recommends: pulseaudio
Recommends: mageiawelcome
Recommends: drakconf
Recommends: blueberry
Recommends: gnome-terminal
Recommends: mageia-theme-Default
Recommends: adwaita-gtk2-theme
Recommends: fonts-ttf-dejavu

# Note that cinnamon also requires mate-polkit but this is included
# as a requires in cinnamon since cinnamon functionality breaks without
# an authenticator

# like task-kde4, but suggests instead of requires
Recommends: task-x11 >= 1-2

%description devel
This package is a meta-package, meaning that its purpose is to contain
development dependencies for running a minimal Cinnamon desktop environment.

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Cinnamon desktop environment.

%files

%files minimal

%files devel



%changelog
* Wed Feb 15 2017 joequant <joequant> 1:3.2-2.mga6
+ Revision: 1086219
- recommend lightdm

* Mon Jan 23 2017 joequant <joequant> 1:3.2-1.mga6
+ Revision: 1083154
- upgrade to 3.2

* Sun Aug 14 2016 joequant <joequant> 1:3.0-8.mga6
+ Revision: 1046411
- add nemo extensions and unsupported cinnamon screensavers

* Wed Jul 06 2016 joequant <joequant> 1:3.0-7.mga6
+ Revision: 1039153
- move to task-xapps

* Sat Jun 25 2016 joequant <joequant> 1:3.0-6.mga6
+ Revision: 1037654
- change requires to recommends and add x-apps

* Mon Jun 13 2016 joequant <joequant> 1:3.0-5.mga6
+ Revision: 1021309
- switch from vera to dejavu

* Mon Jun 13 2016 joequant <joequant> 1:3.0-4.mga6
+ Revision: 1021305
- recommends vera font for better monospace

* Sat May 21 2016 joequant <joequant> 1:3.0-3.mga6
+ Revision: 1017296
- add gtk2 and dm recommends

* Tue May 17 2016 joequant <joequant> 1:3.0-2.mga6
+ Revision: 1016245
- bump version
- add mageia themes and gnome-terminal for minimal cinnamon setup

* Tue May 03 2016 joequant <joequant> 1:3.0-1.mga6
+ Revision: 1008846
- upgrade to 3.0

* Thu Dec 17 2015 joequant <joequant> 1:2.8-1.mga6
+ Revision: 911432
- upgrade to 2.8

* Fri Jun 26 2015 joequant <joequant> 1:2.6-1.mga6
+ Revision: 844299
- upgrade to 2.6

* Thu Nov 27 2014 joequant <joequant> 1:2.4-2.mga5
+ Revision: 799550
- freeze push

* Sun Nov 23 2014 joequant <joequant> 1:2.4-1.mga5
+ Revision: 798439
- update to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.0-7.mga5
+ Revision: 747589
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.0-6.mga5
+ Revision: 689698
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Feb 11 2014 joequant <joequant> 1:2.0.0-5.mga5
+ Revision: 589193
- add pulseaudio as suggests - need for audio to work at all

* Wed Jan 08 2014 joequant <joequant> 1:2.0.0-4.mga4
+ Revision: 565530
- move themes to meta-task
- fix 12223 - mageiawelcome and drakconf suggested
  suggest mate and gnome themes
  move nemo extensions to requires

* Sun Dec 22 2013 joequant <joequant> 1:2.0.0-3.mga4
+ Revision: 559966
- add nemo

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.0-2.mga4
+ Revision: 533635
- Mageia 4 Mass Rebuild

  + joequant <joequant>
    - add devel and nemo extensions

* Mon Sep 02 2013 joequant <joequant> 1:1.9.3-0.2.mga4
+ Revision: 474334
- change group and add new modules

* Fri Aug 23 2013 joequant <joequant> 1:1.9.3-0.1.mga4
+ Revision: 470205
- add new cinnamon apps

* Thu Jul 25 2013 joequant <joequant> 1:1.9.1-1.mga4
+ Revision: 458086
- update to 1.9.1
- imported package task-cinnamon

